// Copyright 2022 Armaan Bhojwani <me@armaanb.net>
// SPDX-License-Identifier: GPL-2.0-or-later

#include QMK_KEYBOARD_H

// Defines names for use in layer keycodes and the keymap
enum layer_names {
    _BASE,
    _FN
};

const uint16_t PROGMEM keymaps[][MATRIX_ROWS][MATRIX_COLS] = {
    /* Base */
    [_BASE] = LAYOUT(
	KC_MEDIA_PREV_TRACK, KC_MEDIA_PLAY_PAUSE, KC_MEDIA_NEXT_TRACK, KC_AUDIO_MUTE,
	KC_PAGE_DOWN, KC_UP, KC_PAGE_UP, KC_HOME,
	KC_LEFT, KC_DOWN, KC_RIGHT, KC_END,
	PROGRAMMABLE_BUTTON_8, PROGRAMMABLE_BUTTON_9, PROGRAMMABLE_BUTTON_10, PROGRAMMABLE_BUTTON_11,
	PROGRAMMABLE_BUTTON_4, PROGRAMMABLE_BUTTON_5, PROGRAMMABLE_BUTTON_6, PROGRAMMABLE_BUTTON_7,
	MO(_FN), PROGRAMMABLE_BUTTON_1, PROGRAMMABLE_BUTTON_2, PROGRAMMABLE_BUTTON_3
    ),
    [_FN] = LAYOUT(
	KC_ESCAPE, KC_KP_SLASH, KC_KP_ASTERISK, KC_KP_MINUS,
	KC_KP_7, KC_KP_8, KC_KP_9, KC_KP_PLUS,
	KC_KP_4, KC_KP_5, KC_KP_6, KC_BACKSPACE,
	KC_KP_1, KC_KP_2, KC_KP_3, KC_KP_ENTER,
	KC_TAB, KC_KP_0, KC_KP_DOT, KC_KP_ENTER,
	MO(_FN), KC_CALCULATOR, KC_KP_EQUAL, KC_KP_ENTER
    )
};
